#!/bin/sh
# --------------------------------------
# this gives CPU load for last 1 sec

OS=`uname`
case $OS in
  AIX) vmstat 1 2 | tail -1 | awk '{print $(NF-5)+$(NF-4)}';;
  Linux)   vmstat -n 1 2 | tail -1 | awk '{ if (NF==17) {print $(NF-4)+$(NF-3)} else {print $(NF-3)+$(NF-2)}}';;
  Darwin)  iostat -c 1 -w 1 | tail -1 | awk '{print 100-$NF}';;  
  FreeBSD) vmstat -c 2 -w 1 | tail -1 | awk '{print 100-$NF}';;
  NetBSD)  vmstat -c 2 -w 1 | tail -1 | awk '{print 100-$NF}';;
  OpenBSD) vmstat -c 2 -w 1 | tail -1 | awk '{print 100-$NF}';;
# SunOS) sar -u | tail -1 | awk '{print $2+$3}';;
  SunOS) vmstat 1 2 | tail -1 | awk '{print 100-$NF}';; 
  HP-UX) vmstat 1 2 | tail -1 | awk '{print 100-$NF}';; 
  QNX) ./qnx_cpu.sh;;
  *) echo 'unsupported OS';;
esac

# --------------------------------------
